Name: lineakconfig
Version: 0.3.2
Release: alt3

Summary: A program to edit LinEAK keyboard configuration.
Summary(ru_RU.KOI8-R):    
Group: System/Configuration/Other
License: GPL
Url: http://lineak.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/lineak/%name-%version.tar.gz
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
Source4: %name-0.3.2.ru.po

Patch: %name-0.3.2-alt-guifix.patch

%define lineakd_ver 0.3.5
PreReq: lineakd >= %lineakd_ver

# Automatically added by buildreq on Wed Jul 09 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel intltool libdmalloc

%description
This package contains a graphical tool for editing LinEAK keyboard
configuration.

For detailed description see lineakd package.

%description -l ru_RU.KOI8-R
%name -       .

%package images
Summary: Keyboards images for LinEAK configuration tool.
Summary(ru_RU.KOI8-R):    %name
Group: System/Configuration/Other
Requires: %name = %version-%release

%description images
This package contains a keyboards images that supported by LinEAK.

%description images -l ru_RU.KOI8-R
    , 
 lineakd

%prep
%setup -q
%patch -p1
%__cp %SOURCE4 po/ru.po
%__subst 's,.*<dmalloc.h>.*\n,,' src/lineakconfig.c
%__subst 's,\(ALL_LINGUAS=\"\),\1ru,' configure.in

%build
intltoolize --copy --force
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

%configure
%make_build

%install
%make DESTDIR=%buildroot install

# Install menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Configuration/Hardware" \
title="LinEAK keyboard editor" \
longtitle="LinEAK keyboard editor" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%dir %_datadir/%name
%dir %_datadir/%name/pixmaps
%_datadir/%name/pixmaps/[a-z]*.xpm
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%_menudir/%name
%doc NEWS README ChangeLog

%files images
%_datadir/%name/pixmaps/[A-Z]*.xpm

%changelog
* Wed Jul 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt3
- russian translations by avp.

* Mon Nov 18 2002 Rider <rider@altlinux.ru> 0.3.2-alt2
- rebuild

* Tue Jun 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- 0.3.2 
- requires lineakd >= 0.3.5

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1
- requires lineakd >= 0.3.4
- images package.

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3 

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt2
- %name-0.2-chmk9885.patch (my keyboard support)

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisyphus.
